USE B69
GO
-----------------------------------
-- Procedury wstawiajce wiersze --
-----------------------------------

-----------------------------------
----------Adres--------------------
-----------------------------------

CREATE PROCEDURE dbo.Adres_dodaj
@Par_id_adresu int,
@Par_Ulica varchar(20),
@Par_KodPocztowy varchar(6),
@Par_Miejscowosc varchar(30),
@Par_Wojewodztwo varchar(30)
AS
BEGIN
INSERT dbo.Adres
(id_adresu, Ulica, KodPocztowy, Miejscowosc, Wojewodztwo)
VALUES
(@Par_id_adresu, @Par_Ulica, @Par_KodPocztowy, @Par_Miejscowosc, @Par_Wojewodztwo)
END
GO

EXECUTE dbo.Adres_dodaj 1, 'Nowa', '56123', 'Jelenia Gora', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 2, 'Stara', '45678', 'Jelenia Gora', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 3, 'Krotka', '45966', 'Jelenia Gora', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 4, 'Dluga', '36987', 'Jelenia Gora', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 5, 'Polna', '12001', 'Bolkow', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 6, 'Rynek', '78325', 'Kamienna Gora', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 7, 'Boczna', '56369', 'Lubawka', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 8, 'Poprzeczna', '67981', 'Jawor', 'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 9, 'Niepodleglosci', '49952', 'Legnica',  'donoslaskie'
GO
EXECUTE dbo.Adres_dodaj 10, 'Wroclawska', '13314', 'Warszawa', 'malopolskie'
GO


------------------------------------
-----------Pracownicy---------------
------------------------------------

CREATE PROCEDURE dbo.Pracownicy_dodaj
@Par_id_pracownika int,
@Par_Imie varchar(20),
@Par_Nazwisko varchar(30),
@Par_PESEL varchar(11),
@Par_id_adresu int
AS
BEGIN
INSERT dbo.Pracownicy
(id_pracownika, Imie, Nazwisko, PESEL, id_adresu)
VALUES
(@Par_id_pracownika, @Par_Imie, @Par_Nazwisko, @Par_PESEL, @Par_id_adresu)
END
GO

EXECUTE dbo.Pracownicy_dodaj 1, 'Marek', 'Borowski', '75060235987', '1'
GO
EXECUTE dbo.Pracownicy_dodaj 2, 'Waldemar', 'Pawlak', '70080812568', '5'
GO
EXECUTE dbo.Pracownicy_dodaj 3, 'Jolanta', 'Kwaniewska', '81120189566', '2'
GO


------------------------------------
--------------Klienci---------------
------------------------------------

CREATE PROCEDURE dbo.Klienci_dodaj
@Par_id_klienta int,
@Par_Imie varchar(20),
@Par_Nazwisko varchar(30),
@Par_id_adresu int
AS
BEGIN
INSERT dbo.Klienci
(id_klienta, Imie, Nazwisko, id_adresu)
VALUES
(@Par_id_klienta, @Par_Imie, @Par_Nazwisko, @Par_id_adresu)
END
GO

EXECUTE dbo.Klienci_dodaj 1, 'Adam', 'Nowak', '1'
GO
EXECUTE dbo.Klienci_dodaj 2, 'Jan', 'Kowalski', '1'
GO
EXECUTE dbo.Klienci_dodaj 3, 'Jolanta', 'Dec', '2'
GO
EXECUTE dbo.Klienci_dodaj 4, 'Jacek', 'Wiernik', '1'
GO
EXECUTE dbo.Klienci_dodaj 5, 'Stefan', 'Kowalewski', '3'
GO
EXECUTE dbo.Klienci_dodaj 6, 'Zbigniew', 'Malecki', '2'
GO
EXECUTE dbo.Klienci_dodaj 7, 'Mieczyslaw', 'Fog', '2'
GO
EXECUTE dbo.Klienci_dodaj 8, 'Artur', 'Niewiadomski', '1'
GO
EXECUTE dbo.Klienci_dodaj 9, 'Arkadiusz', 'Jakubowicz', '4'
GO
EXECUTE dbo.Klienci_dodaj 10, 'Mariola', 'Malinowska', '2'
GO


------------------------------------
--------------Kategorie-------------
------------------------------------

CREATE PROCEDURE dbo.Kategorie_dodaj
@Par_id_kategoria int,
@Par_Nazwa varchar(30)
AS
BEGIN
INSERT dbo.Kategorie
(id_kategoria, Nazwa)
VALUES
(@Par_id_kategoria, @Par_Nazwa)
END
GO

EXECUTE dbo.Kategorie_dodaj 1, 'Zestaw komputerowy'
GO
EXECUTE dbo.Kategorie_dodaj 2, 'Laptop'
GO
EXECUTE dbo.Kategorie_dodaj 3, 'Monitory'
GO
EXECUTE dbo.Kategorie_dodaj 4, 'Drukarki'
GO
EXECUTE dbo.Kategorie_dodaj 5, 'Podzespoy'
GO
EXECUTE dbo.Kategorie_dodaj 6, 'Akcesoria'
GO
EXECUTE dbo.Kategorie_dodaj 7, 'Inne'
GO

------------------------------------
--------------Producent-------------
------------------------------------

CREATE PROCEDURE dbo.Producent_dodaj
@Par_id_producenta int,
@Par_Nazwa varchar(30)
AS
BEGIN
INSERT dbo.Producent
(id_producenta, Nazwa)
VALUES
(@Par_id_producenta, @Par_Nazwa)
END
GO

EXECUTE dbo.Producent_dodaj 1, 'IBM'
GO
EXECUTE dbo.Producent_dodaj 2, 'INTEL'
GO
EXECUTE dbo.Producent_dodaj 3, 'APPLE'
GO
EXECUTE dbo.Producent_dodaj 4, 'HP'
GO
EXECUTE dbo.Producent_dodaj 5, 'LG'
GO
EXECUTE dbo.Producent_dodaj 6, 'AMD'
GO
EXECUTE dbo.Producent_dodaj 7, 'ASUS'
GO
EXECUTE dbo.Producent_dodaj 8, 'TOSHIBA'
GO
EXECUTE dbo.Producent_dodaj 9, 'CANON'
GO
EXECUTE dbo.Producent_dodaj 10, 'EPSON'
GO


------------------------------------
-----------Towary-------------------
------------------------------------

CREATE PROCEDURE dbo.Towary_dodaj
@Par_id_towaru int,
@Par_id_kategoria int,
@Par_Nazwa varchar(50),
@Par_Cena int,
@Par_id_producenta int
AS
BEGIN
INSERT dbo.Towary
(id_towaru, id_kategoria, Nazwa, Cena, id_producenta)
VALUES
(@Par_id_towaru, @Par_id_kategoria, @Par_Nazwa, @Par_Cena, @Par_id_producenta)
END
GO

EXECUTE dbo.Towary_dodaj 1, '1', 'Uniwersalny', '1700', '1'
GO
EXECUTE dbo.Towary_dodaj 2, '1', 'Dla gracza', '2000', '1'
GO
EXECUTE dbo.Towary_dodaj 3, '2', 'X50GL-AP158 T3200', '2547', '7'
GO
EXECUTE dbo.Towary_dodaj 4, '2', 'Pavilion dv5-1040ew', '2316', '4'
GO
EXECUTE dbo.Towary_dodaj 5, '4', 'MP 170', '300', '9'
GO
EXECUTE dbo.Towary_dodaj 6, '4', '3870', '452', '4'
GO
EXECUTE dbo.Towary_dodaj 7, '3', 'L1919S', '799', '5'
GO
EXECUTE dbo.Towary_dodaj 8, '3', 'L1717S', '599', '5'
GO
EXECUTE dbo.Towary_dodaj 9, '1', 'Multimedialny', '2365',  '6'
GO
EXECUTE dbo.Towary_dodaj 10, '1', 'Dla wymagajacych', '2999', '6'
GO

------------------------------------
-----------Zamwienia---------------
------------------------------------

CREATE PROCEDURE dbo.Zamowienia_dodaj
@Par_id_zamowienia int,
@Par_id_klienta int,
@Par_id_towaru int,
@Par_Ilosc int,
@Par_id_pracownika int
AS
BEGIN
INSERT dbo.Zamowienia
(id_zamowienia, id_klienta, id_towaru, Ilosc, id_pracownika)
VALUES
(@Par_id_zamowienia, @Par_id_klienta, @Par_id_towaru, @Par_Ilosc, @Par_id_pracownika)
END
GO

EXECUTE dbo.Zamowienia_dodaj 1, '1', '1', '1', '1'
GO
EXECUTE dbo.Zamowienia_dodaj 2, '1', '7', '1', '1'
GO
EXECUTE dbo.Zamowienia_dodaj 3, '2', '5', '1', '1'
GO
EXECUTE dbo.Zamowienia_dodaj 4, '7', '4', '1', '3'
GO
EXECUTE dbo.Zamowienia_dodaj 5, '9', '10', '1', '3'
GO
EXECUTE dbo.Zamowienia_dodaj 6, '4', '9', '1', '3'
GO
EXECUTE dbo.Zamowienia_dodaj 7, '8', '7', '1', '3'
GO
EXECUTE dbo.Zamowienia_dodaj 8, '3', '1', '1', '2'
GO
EXECUTE dbo.Zamowienia_dodaj 9, '10', '8', '1',  '2'
GO
EXECUTE dbo.Zamowienia_dodaj 10, '6', '3', '1', '2'
GO
