USE B69
GO

---------------------------------------------------------
-------------Procedury modyfikujce wiersze--------------
---------------------------------------------------------

-----------------------------------
----------Adres--------------------
-----------------------------------
CREATE PROCEDURE dbo.Adres_zmien
@Par_id_adresu int,
@Par_Ulica varchar(20),
@Par_KodPocztowy varchar(6),
@Par_Miejscowosc varchar(30),
@Par_Wojewodztwo varchar(30)
AS
BEGIN

UPDATE dbo.Adres
SET Ulica = @Par_Ulica, 
KodPocztowy = @Par_KodPocztowy,
Miejscowosc = @Par_Miejscowosc,
Wojewodztwo = @Par_Wojewodztwo

WHERE id_adresu = @Par_id_adresu
END
GO

EXECUTE dbo.Adres_zmien 2,'Nowowiejska', '00999', 'Lubin', 'dolnoslaskie'
GO
EXECUTE dbo.Adres_zmien 3,'Wylotowa', '58500', 'Jelania Gora', 'dolnoslaskie'
GO
EXECUTE dbo.Adres_zmien 10,'Rynek', '55878', 'Warszawa', 'mazowieckie'
GO


------------------------------------
-----------Pracownicy---------------
------------------------------------

CREATE PROCEDURE dbo.Pracownicy_zmien
@Par_id_pracownika int,
@Par_Imie varchar(20),
@Par_Nazwisko varchar(30),
@Par_PESEL varchar(11),
@Par_id_adresu int
AS
BEGIN

UPDATE dbo.Pracownicy
SET Imie = @Par_Imie, 
Nazwisko = @Par_Nazwisko,
PESEL = @Par_PESEL,
id_adresu = @Par_id_adresu

WHERE id_pracownika = @Par_id_pracownika
END
GO

EXECUTE dbo.Pracownicy_zmien 1, 'Marek', 'Borowski', '00000000000', 5
GO
EXECUTE dbo.Pracownicy_zmien 3, 'Jolanta', 'Kwaniewska', '12345678912', 1
GO

------------------------------------
--------------Klienci---------------
------------------------------------

CREATE PROCEDURE dbo.Klienci_zmien
@Par_id_klienta int,
@Par_Imie varchar(20),
@Par_Nazwisko varchar(30),
@Par_id_adresu int
AS
BEGIN

UPDATE dbo.Klienci
SET Imie = @Par_Imie, 
Nazwisko = @Par_Nazwisko,
id_adresu = @Par_id_adresu

WHERE id_klienta = @Par_id_klienta
END
GO


EXECUTE dbo.Klienci_zmien 1, 'Joel', 'Sluczka', 10
GO
EXECUTE dbo.Klienci_zmien 5, 'Barack', 'Obama', 4
GO
EXECUTE dbo.Klienci_zmien 9, 'Bill', 'Clinton', 7
GO

------------------------------------
--------------Kategorie-------------
------------------------------------

CREATE PROCEDURE dbo.Kategorie_zmien
@Par_id_kategoria int,
@Par_Nazwa varchar(30)
AS
BEGIN

UPDATE dbo.Kategorie
SET Nazwa = @Par_Nazwa 

WHERE id_kategoria = @Par_id_kategoria
END
GO

EXECUTE dbo.Kategorie_zmien 3, 'LCD'
GO
EXECUTE dbo.Kategorie_zmien 7, 'Wyposazenie'
GO


------------------------------------
--------------Producent-------------
------------------------------------

CREATE PROCEDURE dbo.Producent_zmien
@Par_id_producenta int,
@Par_Nazwa varchar(30)
AS
BEGIN

UPDATE dbo.Producent
SET Nazwa = @Par_Nazwa 

WHERE id_producenta = @Par_id_producenta
END
GO

EXECUTE dbo.Producent_zmien 7, 'ACER'
GO
EXECUTE dbo.Producent_zmien 10, 'LEXMARK'
GO

------------------------------------
-----------Towary-------------------
------------------------------------

CREATE PROCEDURE dbo.Towary_zmien
@Par_id_towaru int,
@Par_id_kategoria int,
@Par_Nazwa varchar(50),
@Par_Cena int,
@Par_id_producenta int
AS
BEGIN

UPDATE dbo.Towary
SET id_kategoria = @Par_id_kategoria, 
Nazwa = @Par_Nazwa,
Cena = @Par_Cena,
id_producenta = @Par_id_producenta

WHERE id_towaru = @Par_id_towaru
END
GO

EXECUTE dbo.Towary_zmien 1, '1', 'Do wszystkiego', '1799', 6
GO
EXECUTE dbo.Towary_zmien 8, '3', 'AC22P', '1100', 7
GO

------------------------------------
-----------Zamwienia---------------
------------------------------------

CREATE PROCEDURE dbo.Zamowienia_zmien
@Par_id_zamowienia int,
@Par_id_klienta int,
@Par_id_towaru int,
@Par_Ilosc int,
@Par_id_pracownika int
AS
BEGIN

UPDATE dbo.Zamowienia
SET id_klienta = @Par_id_klienta, 
id_towaru = @Par_id_towaru,
Ilosc = @Par_Ilosc,
id_pracownika = @Par_id_pracownika

WHERE id_zamowienia = @Par_id_zamowienia
END
GO

EXECUTE dbo.Zamowienia_zmien 1, 3, 3, '3', 3
GO
EXECUTE dbo.Zamowienia_zmien 9, 9, 9, '9', 3
GO